org.apache.hc.client5.http.impl.sync

## Class MinimalHttpClient

- java.lang.Object
- - org.apache.hc.client5.http.impl.sync.CloseableHttpClient
  - - org.apache.hc.client5.http.impl.sync.MinimalHttpClient

All Implemented Interfaces:
  Closeable, AutoCloseable, HttpClient

    @Contract(threading=SAFE)
    public class MinimalHttpClient
    extends CloseableHttpClient

Internal class.

Since:
  4.3

### Method Summary

Methods
`void` `close()`
`protected CloseableHttpResponse` `doExecute(org.apache.hc.core5.http.HttpHost target, org.apache.hc.core5.http.ClassicHttpRequest request, org.apache.hc.core5.http.protocol.HttpContext context)`

### Methods inherited from class org.apache.hc.client5.http.impl.sync.CloseableHttpClient

`execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### doExecute

    protected CloseableHttpResponse doExecute(org.apache.hc.core5.http.HttpHost target,
                                  org.apache.hc.core5.http.ClassicHttpRequest request,
                                  org.apache.hc.core5.http.protocol.HttpContext context)
                                       throws IOException

Specified by:
  `doExecute` in class `CloseableHttpClient`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Throws:
  `IOException`